

import processing.serial.*;

float pressureY = 0;        // pressure controls mouse Y
float distanceX = 0;      // distance controls mouse X

Serial myPort;

PImage photoStart;
PImage photoFin;
PImage photoEnd;
int value = 0;

void setup () {
 
  noCursor();
  size (300, 400);
  background (245,245,245);
  photoStart = loadImage("start.png");
  photoFin = loadImage("fin.png");
  photoEnd = loadImage("end.gif");

  
  //println("Available serial ports:");
  printArray(Serial.list());
  myPort = new Serial(this, Serial.list()[9], 9600);
  myPort.bufferUntil('\n');
  
}

void draw () {
  background(3,27,136);
  
  //block1
  fill(169,182,252);
  noStroke();
  rect(80,0,250,60);
  
  //block2
  fill(169,182,252);
  noStroke();
  rect(0,130,150,200);
  
  //block3
  fill(169,182,252);
  noStroke();
  rect(240,130,60,200);
  
  //Fin.
  noStroke();
  image(photoFin,0,348);
  
  //start
  noStroke(); 
  fill(value);
  if (key == ' ') {
  image(photoStart, -80, -30);
  fill(255);
  noStroke();
  
  if ((60<=distanceX)&&(distanceX<=300)&&(pressureY<=50)){
  fill(255);
  noStroke();
  rect(0, 0, 20, 20);  
  // distanceX = constrain(distanceX,  

  } 
  
  else if ((0<=distanceX)&&(distanceX<=150)&&(pressureY>=110)&&(pressureY<=330)){
  fill(255);
  noStroke();
  rect(0, 0, 20, 20); 
  } 
  
  else if ((220<=distanceX)&&(distanceX<=300)&&(pressureY>=110)&&(pressureY<=330)){
  fill(255);
  noStroke();
  rect(0, 0, 20, 20); 
  }
  
  else if ((0<=distanceX)&&(distanceX<=80)&&(pressureY>=348)&&(pressureY<=400)){
  fill(255);
  noStroke();
  image(photoEnd, 0, 0, width, height);
  }
  
  else{
  fill(255);
  noStroke();
  rect(distanceX, pressureY, 20, 20);  
  }
  
  } 
  else {
    image(photoStart, 110, 155);
  }
}
  
  void serialEvent(Serial myPort) {
    // get the ASCII string:
    String inString = myPort.readStringUntil('\n');

    if (inString != null) {
      // trim off any whitespace:
      inString = trim(inString);
    
      // split the string on the commas and convert the resulting substrings
      // into an integer array:
      float[] sensors = float(split(inString, ","));
      
      // if the array has at least three elements, you know you got the whole
      // thing.  Put the numbers in the color variables:
      if (sensors.length >= 2) {
        // map them to the range 0-255:
       // redValue = map(sensors[0], 0, 1023, 0, 255);
       
       //BRING THIS BACK
        pressureY = map(sensors[0], 0, 1040, 0, 400);
        distanceX = map(sensors[1], 0, 18, 0, 300);
        
        println("pressure: " + pressureY);
        println("distance: " + distanceX);
      }
      }
} 
  
